PETSc version 3.17.4
Fix/Edit manual page

# DMPlexGetOrdering1D

Reorder the vertices so that the mesh is in a line

### Synopsis

    #include "petscdmplex.h"
    #include "petscmat.h"
    PetscErrorCode DMPlexGetOrdering1D(DM dm, IS *perm)

Collective on dm

### Input Parameter

| dm | - The DMPlex object

### Output Parameter

| perm | - The point permutation as an IS, perm[old point number] = new point number

### See Also

DMPlexGetOrdering(), DMPlexPermute(), MatGetOrdering()

### Level

intermediate

### Location

src/dm/impls/plex/plexreorder.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages